
clc;
clear;

m=[1 2 3 4 10 11 12];
month={'January' 'February' 'March' 'April' 'October' 'November' 'December'};

for j=1:4
    
load(['NSIDC_CS2_',char(month(j)),'_r1.mat']);

data_mean_all(:,:,j)=data_mean;

end

data_mean_Jan_Apr=nanmean(data_mean_all(:,:,1:4),3);

 % ---------------plot ------------------------------------

    figure
    m_proj('stereographic','lat',90,'long',0,'radius',25);
    m_pcolor(lon,lat,data_mean_Jan_Apr);
    shading flat;
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    m_grid('xtick',6,'tickdir','out','ytick',[65 70 75 80 85 90],...
    'linest','-','fontsize',10,'FontName','Times New Roman');

     title({['January-April mean'],''},'fontsize',12,'fontweight','bold');

    caxis([0 2.5])

    colormap('jet');
    colorbar;
    
    % ----- save figures ---------
    print(gcf,'-r300','-djpeg',['CryoSat-2_mean_sea_ice_thickness_Jan_Apr_r1_5%.jpeg']);

